GXml.CollectionParent.add_supported_types – GXml-0.20 Reference Manual

# add_supported_types

## Description:

public static void add_supported_types (HashTable<string,Type> table, Type parent_type, Type[] types)

Insert a set of supported instantiatable type in given hash table, by instantiating the type, getting its node's local name as key.

## Parameters:

table | a GLib.HashTable to hold supported types
parent_type | a GLib.Type as parent of supported types, it is not necesarry to be an instantiatable type, like interfaces, should be the same of GXml.Collection.items_type
types | an array of supported instantiatable GLib.Type to be added in the collection